[PATCH] autogen.sh: use quoted string variables
Emil Velikov
emil.l.velikov at gmail.com
Mon Mar 9 05:00:52 PDT 2015
Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
fall-outs, when they contain space.
Signed-off-by: Emil Velikov <emil.l.velikov at gmail.com>
---
autogen.sh | 8 ++++----
1 file changed, 4 insertions(+), 4 deletions(-)
diff --git a/autogen.sh b/autogen.sh
index dd0731a..aee4beb 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,14 +1,14 @@
#! /bin/sh
-srcdir=`dirname $0`
+srcdir=`dirname "$0"`
test -z "$srcdir" && srcdir=.
ORIGDIR=`pwd`
-cd $srcdir
+cd "$srcdir"
autoreconf --force -v --install || exit 1
-cd $ORIGDIR || exit $?
+cd "$ORIGDIR" || exit $?
if test -z "$NOCONFIGURE"; then
- exec $srcdir/configure "$@"
+ exec "$srcdir"/configure "$@"
fi
--
2.3.1
More information about the xorg-devel
mailing list